Bug 2041038 - gnome-desktop3-42~alpha.1-1 breaks GNOME
Summary: gnome-desktop3-42~alpha.1-1 breaks GNOME
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36BetaBlocker F36BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-01-15 13:21 UTC by Mikhail
Modified: 2022-02-05 00:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-05 00:37:59 UTC
Type: Bug


Attachments (Terms of Use)
"Oh no! Something has gone wring" screen after loading the GNOME (220.21 KB, image/jpeg)
2022-01-15 13:21 UTC, Mikhail
no flags Details
system logs (508.85 KB, text/plain)
2022-01-15 13:22 UTC, Mikhail
no flags Details
# dnf upgrade --refresh (127.11 KB, image/png)
2022-01-17 08:23 UTC, Mikhail
no flags Details

Description Mikhail 2022-01-15 13:21:45 UTC
Created attachment 1850973 [details]
"Oh no! Something has gone wring" screen after loading the GNOME

Created attachment 1850973 [details]
"Oh no! Something has gone wrong" screen after loading the GNOME

Description of problem:
After upgrade gnome-desktop3-41.3-1.fc36 to gnome-desktop3-42~alpha.1-1 instead of login screen I see "Oh no! Something has gone wring" screen.

I was able fix my system only after downgrading "gnome-desktop3" to 41.3-1 version and removing "libgweather4" package.

If anyone encounters the same problem, then make a local repo and download the packages "gnome-characters-41.0-1.fc36", "gnome-desktop3-41.3-1.fc36", "gnome-initial-setup-41.2-1.fc36", "nautilus-41.1-2.fc36.x86_64".

$ koji download-build gnome-characters-41.0-1.fc36 --arch=x86_64 --arch=noarch
$ koji download-build gnome-desktop3-41.3-1.fc36 --arch=x86_64  --arch=noarch
$ koji download-build gnome-initial-setup-41.2-1.fc36 --arch=x86_64 --arch=noarch
$ koji download-build nautilus-41.1-2.fc36.x86_64 --arch=x86_64  --arch=noarch
$ createrepo . --update

Then downgrade "gnome-desktop3" and remove "libgweather4" package.

# dnf downgrade gnome-desktop3 --refresh --allowerising
# dnf remove libgweather4

Comment 1 Mikhail 2022-01-15 13:22:30 UTC
Created attachment 1850974 [details]
system logs

Comment 2 Fedora Blocker Bugs Application 2022-01-15 13:24:52 UTC
Proposed as a Blocker and Freeze Exception for 36-beta by Fedora user mikhail using the blocker tracking app because:

 Because this bug completely breaks Fedora Workstation GNOME.

Comment 3 Adam Williamson 2022-01-15 17:48:20 UTC
We already fixed this yesterday. The compose today failed, though, so the updated packages are not in the main Rawhide repo yet. You need to update mutter and gnome-shell from Koji.

Comment 4 Mikhail 2022-01-17 08:23:33 UTC
Created attachment 1851300 [details]
# dnf upgrade --refresh

Maybe better add to "gnome-desktop3-42~alpha.1-1.fc36.x86_64" dependencies from "gnome-shell-42~alpha-2.fc36.x86_64".
To prevent these errors from occurring in the future.

P.S. "gnome-shell-42~alpha-2.fc36.x86_64" still not pushed to Rawhide repo.

Comment 5 Adam Williamson 2022-02-05 00:37:59 UTC
This is definitely resolved now.


Note You need to log in before you can comment on or make changes to this bug.